<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;

class TmpSale extends BaseModel
{
    use HasFactory;

    protected $fillable = ['order_id','status'];

    public function createTmpSale($inputData){
        $inputData['status'] = config('constant.SALE_STATUS.PENDING');
        return self::create($inputData);
    }

    public function deleteTmpSaleById($id){
        return self::destroy($id);
    }
}
